;~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~;
;       RAMFOS     ;
;____________________________________________;

F800 JMP  F83F;  *   RAMFOS
F803 JMP  C803;       .  [A]
F806 JMP  C806;           [A]
F809 JMP  C809;     [C] -  
F80C JMP  C80C;     [C] -  
F80F JMP  C80F;     [A] -  
F812 JMP  C812;     [A]=0FFH - ,(00H-)
F815 JMP  C815;     [A](Hex) -  
F818 JMP  C818;      [HL] -  
F81B JMP  C81B;     [A]- ,(FFH-)
F81E JMP  C81E;     [H]-,[L]- .
F821 JMP  C821;     [A]-   
F824 JMP  F851;  *   
F827 JMP  F855;  *    RAMDISK
F82A JMP  C82A;     .=[BC],([HL]-[DE])
F82D JMP  FDC3;  *    
F830 JMP  C830;     [HL] - HIMEM ()
F833 JMP  C833;      HIMEM = [HL]
F836 JMP  FFC0;  *    RAM-
F839 JMP  FFCE;  *    RAM-
F83C JMP  C83C;       [H]-.[L]-.

	             * -   RAMFOS

;***************
;* R A M F O S *
;***************
;
F800 JMP  F83F
F803 JMP  C803
F806 JMP  C806
F809 JMP  C809
F80C JMP  C80C
F80F JMP  C80F
F812 JMP  C812
F815 JMP  C815
F818 JMP  C818
F81B JMP  C81B
F81E JMP  C81E
F821 JMP  C821
F824 JMP  F851
F827 JMP  F855
F82A JMP  C82A
F82D JMP  FDC3
F830 JMP  C830
F833 JMP  C833
F836 JMP  FFC0
F839 JMP  FFCE
F83C JMP  C83C

F83F STA  FFFC
F842 CALL C800
F845 LXI  SP,D2FF
F848 LXI  H,8FFF
F84B CALL C833
F84E JMP  F886

F851 XRA  A
F852 JMP  F87E

F855 PUSH H
F856 LXI  H,FFAA
F859 CALL C818
F85C POP  H
F85D CALL C845
F860 RZ
F861 PUSH H
F862 LXI  H,FFDF
F865 CALL FA60
F868 POP  H
F869 JC   FAFE
F86C SHLD D20A
F86F XCHG
F870 SHLD D20C
F873 XCHG
F874 CALL C82A
F877 MOV  H,B
F878 MOV  L,C
F879 SHLD D20E
F87C MVI  A,0FFH
F87E STA  D246
F881 MVI  A,0FFH
F883 STA  D237
F886 LXI  H,0000
F889 SHLD D238
F88C XRA  A
F88D LXI  D,414F
F890 LHLD D23C
F893 DCX  H
F894 SHLD D23A
F897 STA  D245
F89A MOV  A,D
F89B STA  FF09
F89E MOV  A,E
F89F STA  FEF1
F8A2 LDA  D246
F8A5 INR  A
F8A6 CNZ  FA6F
F8A9 LHLD D238
F8AC SHLD D274
F8AF LHLD D274
F8B2 SHLD D270
F8B5 CALL FB21
F8B8 CALL F952
F8BB JNZ  F8C4
F8BE CALL FC5B
F8C1 JMP  F8AF

F8C4 LHLD D23A
F8C7 XCHG
F8C8 LHLD D274
F8CB SHLD D27C
F8CE CALL FA66
F8D1 XCHG
F8D2 SHLD D27A
F8D5 XCHG
F8D6 LDA  D246
F8D9 INR  A
F8DA JZ   FAA6
F8DD MVI  C,93H
F8DF CALL C809
F8E2 CALL FA95
F8E5 CALL FAA0
F8E8 CALL FA11
F8EB CALL FA8A
F8EE LXI  B,2E14
F8F1 CALL FA98
F8F4 MVI  C,06H
F8F6 CALL C809
F8F9 MVI  C,94H
F8FB CALL C809
F8FE CALL FA90
F901 CALL FB0D
F904 CALL F94B
F907 CALL C803
F90A CPI  20H
F90C JNC  F904
F90F MVI  C,07H
F911 CALL C809
F914 LHLD D238
F917 XCHG
F918 CPI  1BH
F91A JZ   FC20
F91D CPI  19H
F91F JZ   FB3D
F922 CPI  1AH
F924 JZ   FB6C
F927 CPI  0DH
F929 JZ   FB7B
F92C ORA  A
F92D JZ   FBBD
F930 DCR  A
F931 JZ   FC28
F934 DCR  A
F935 JZ   FDFC
F938 DCR  A
F939 JZ   FD19
F93C DCR  A
F93D JZ   FD88
F940 DCR  A
F941 JZ   FE2D
F944 DCR  A
F945 JZ   FDD6
F948 JMP  F904

F94B CALL C812
F94E RNZ
F94F JMP  F94B

F952 LXI  H,D252
F955 LXI  D,001E
F958 PUSH H
F959 CALL F9EE
F95C POP  H
F95D MOV  A,M
F95E INX  H
F95F ORA  M
F960 INX  H
F961 ORA  M
F962 INX  H
F963 CPI  0D3H
F965 PUSH PSW
F966 JNZ  F993
F969 LHLD D26C
F96C XCHG
F96D LHLD D26A
F970 CALL FA66
F973 XCHG
F974 SHLD D276
F977 LXI  D,0020
F97A DAD  D
F97B SHLD D278
F97E XCHG
F97F LHLD D270
F982 XCHG
F983 DAD  D
F984 SHLD D274
F987 DCX  H
F988 MOV  C,D
F989 CALL FFCB
F98C DCX  H
F98D MOV  C,E
F98E CALL FFCB
F991 POP  PSW
F992 RET

F993 LXI  H,FF55
F996 LXI  D,D252
F999 CALL FDF1
F99C POP  PSW
F99D RET

F99E LXI  H,D255
F9A1 MVI  E,0CH
F9A3 MOV  A,M
F9A4 INX  H
F9A5 CALL C80F
F9A8 DCR  E
F9A9 JNZ  F9A3
F9AC PUSH H
F9AD CALL FAA0
F9B0 POP  H
F9B1 MOV  A,M
F9B2 CALL C80F
F9B5 INX  H
F9B6 MVI  B,03H
F9B8 MOV  A,M
F9B9 INX  H
F9BA CALL C815
F9BD DCR  B
F9BE JNZ  F9B8
F9C1 CALL FAA0
F9C4 LHLD D26A
F9C7 CALL FADB
F9CA MVI  A,2CH
F9CC CALL C80F
F9CF LHLD D26C
F9D2 CALL FADB
F9D5 MVI  A,2DH
F9D7 CALL C80F
F9DA XCHG
F9DB LHLD D26E
F9DE CALL FADB
F9E1 CALL FAA0
F9E4 LHLD D278
F9E7 XCHG
F9E8 CALL FA11
F9EB JMP  FA8A

F9EE CALL FA08
F9F1 PUSH H
F9F2 LHLD D272
F9F5 CALL FFBD
F9F8 INX  H
F9F9 XTHL
F9FA MOV  M,C
F9FB INX  H
F9FC XTHL
F9FD DCX  D
F9FE MOV  A,E
F9FF ORA  D
FA00 JNZ  F9F5
FA03 SHLD D272
FA06 POP  H
FA07 RET

FA08 PUSH H
FA09 LHLD D270
FA0C SHLD D272
FA0F POP  H
FA10 RET

FA11 LXI  H,2710
FA14 CALL FA2F
FA17 LXI  H,03E8
FA1A CALL FA2F
FA1D LXI  H,0064
FA20 CALL FA2F
FA23 LXI  H,000A
FA26 CALL FA2F
FA29 MOV  A,E
FA2A ADI  30H
FA2C JMP  C80F

FA2F MVI  C,30H
FA31 XCHG
FA32 CALL FA60
FA35 XCHG
FA36 JC   C809
FA39 INR  C
FA3A CALL FA66
FA3D DCX  D
FA3E JMP  FA31

FA41 PUSH D
FA42 CALL FA59
FA45 POP  D
FA46 RZ
FA47 PUSH PSW
FA48 LXI  H,FF12
FA4B CALL C818
FA4E INX  H
FA4F XCHG
FA50 CALL C818
FA53 XCHG
FA54 CALL C818
FA57 POP  PSW
FA58 RET

FA59 LHLD D27C
FA5C XCHG
FA5D LHLD D270
FA60 MOV  A,H
FA61 CMP  D
FA62 RNZ
FA63 MOV  A,L
FA64 CMP  E
FA65 RET

FA66 ORA  A
FA67 MOV  A,E
FA68 SBB  L
FA69 MOV  E,A
FA6A MOV  A,D
FA6B SBB  H
FA6C MOV  D,A
FA6D INX  D
FA6E RET

FA6F LXI  H,FEBD
FA72 CALL C818
FA75 LXI  B,2503
FA78 CALL FA98
FA7B CALL FA8A
FA7E LXI  H,FF1B
FA81 CALL C818
FA84 LXI  B,2E1C
FA87 CALL FA98
FA8A LXI  H,FF49
FA8D JMP  C818

FA90 MVI  C,8DH
FA92 JMP  C809

FA95 LXI  B,2620
FA98 CALL C809
FA9B DCR  B
FA9C RZ
FA9D JMP  FA98

FAA0 LXI  H,FF50
FAA3 JMP  C818

FAA6 STA  D246
FAA9 PUSH D
FAAA CALL FEB5
FAAD CALL FA66
FAB0 LXI  H,001F
FAB3 DAD  D
FAB4 POP  D
FAB5 CALL FA60
FAB8 JNC  FAFE
FABB LXI  H,D1F2
FABE LXI  D,D20F
FAC1 CALL FAE3
FAC4 CALL FEB5
FAC7 CALL FAE6
FACA LHLD D272
FACD INX  H
FACE INX  H
FACF MVI  C,08H
FAD1 SHLD D27C
FAD4 CALL FFCB
FAD7 DCR  C
FAD8 JMP  C809

FADB MOV  A,H
FADC CALL C815
FADF MOV  A,L
FAE0 JMP  C815

FAE3 CALL FA08
FAE6 PUSH H
FAE7 LHLD D272
FAEA XTHL
FAEB MOV  C,M
FAEC XTHL
FAED CALL FFCB
FAF0 INX  H
FAF1 XTHL
FAF2 CALL FA60
FAF5 INX  H
FAF6 JNZ  FAEB
FAF9 POP  H
FAFA SHLD D272
FAFD RET

FAFE LXI  H,FF94
FB01 CALL C818
FB04 CALL C803
FB07 CPI  1FH
FB09 RZ
FB0A JMP  FB04

FB0D MVI  B,09H
FB0F CALL C821
FB12 MVI  C,8AH
FB14 CALL C809
FB17 CALL C80F
FB1A CALL C809
FB1D DCR  B
FB1E JNZ  FB0F
FB21 MVI  C,8EH
FB23 JMP  C809

FB26 MVI  B,09H
FB28 MVI  C,8AH
FB2A CALL C809
FB2D CALL C821
FB30 CALL C809
FB33 CALL C80F
FB36 DCR  B
FB37 JNZ  FB28
FB3A JMP  FB21

FB3D STA  D240
FB40 LHLD D270
FB43 CALL FA60
FB46 JZ   F904
FB49 DCX  H
FB4A CALL FFBD
FB4D MOV  B,C
FB4E DCX  H
FB4F CALL FFBD
FB52 MOV  L,C
FB53 MOV  H,B
FB54 SHLD D270
FB57 CALL F952
FB5A CALL FB26
FB5D LDA  D240
FB60 CALL C80F
FB63 CALL FA90
FB66 CALL FB0D
FB69 JMP  F904

FB6C STA  D240
FB6F CALL FA59
FB72 JNC  F904
FB75 LHLD D274
FB78 JMP  FB54

FB7B CALL FA59
FB7E JZ   F904
FB81 LDA  D237
FB84 INR  A
FB85 JZ   FBA2
FB88 LHLD D26A
FB8B PUSH H
FB8C LXI  D,FFA4
FB8F CALL FBAE
FB92 JZ   FBE8
FB95 LXI  D,FFA7
FB98 CALL FBAE
FB9B JZ   FBE8
FB9E POP  H
FB9F JMP  F904

FBA2 LXI  D,D1FE
FBA5 CALL FBAE
FBA8 JZ   FBE8
FBAB JMP  F904

FBAE LXI  H,D25E
FBB1 MVI  B,03H
FBB3 LDAX D
FBB4 CMP  M
FBB5 RNZ
FBB6 INX  H
FBB7 INX  D
FBB8 DCR  B
FBB9 JNZ  FBB3
FBBC RET

FBBD LXI  D,FF61
FBC0 CALL FA41
FBC3 JZ   FD03
FBC6 CALL FEA5
FBC9 JZ   FD11
FBCC JP   FBE1
FBCF CALL C839
FBD2 JZ   FD03
FBD5 SHLD D26A
FBD8 XCHG
FBD9 LHLD D276
FBDC DCX  H
FBDD DAD  D
FBDE SHLD D26C
FBE1 LDA  D237
FBE4 ORA  A
FBE5 JZ   FDA1
FBE8 LHLD D270
FBEB LXI  D,001E
FBEE DAD  D
FBEF SHLD D272
FBF2 LHLD D276
FBF5 XCHG
FBF6 LHLD D26A
FBF9 CALL F9F1
FBFC DCX  H
FBFD XCHG
FBFE LHLD D26A
FC01 CALL C82A
FC04 PUSH B
FC05 POP  D
FC06 LHLD D26E
FC09 CALL FA60
FC0C JNZ  FD03
FC0F CALL FDEB
FC12 LHLD D26C
FC15 SHLD D20C
FC18 XCHG
FC19 LHLD D26A
FC1C SHLD D20A
FC1F RET

FC20 LDA  D237
FC23 INR  A
FC24 RZ
FC25 JMP  FD11

FC28 LXI  D,FF71
FC2B CALL FA41
FC2E JZ   FC3D
FC31 CALL FEA5
FC34 JZ   FD11
FC37 CALL FC6E
FC3A JMP  F8A2

FC3D LDA  D237
FC40 INR  A
FC41 JZ   FD03
FC44 LXI  D,FF6C
FC47 CALL FA47
FC4A CALL FEA5
FC4D JZ   FD11
FC50 LHLD D23C
FC53 INX  H
FC54 MOV  C,A
FC55 CALL FFCB
FC58 JMP  F800

FC5B LDA  D246
FC5E INR  A
FC5F JNZ  F99E
FC62 LXI  H,D1F2
FC65 LXI  D,D252
FC68 MVI  B,0FH
FC6A CALL FBB3
FC6D RNZ
FC6E LHLD D27C
FC71 DCX  H
FC72 XCHG
FC73 LHLD D274
FC76 CALL FA66
FC79 PUSH H
FC7A LHLD D270
FC7D JC   FC90
FC80 XTHL
FC81 CALL FFBD
FC84 INX  H
FC85 XTHL
FC86 CALL FFCB
FC89 INX  H
FC8A DCX  D
FC8B MOV  A,E
FC8C ORA  D
FC8D JNZ  FC80
FC90 XTHL
FC91 POP  H
FC92 SHLD D274
FC95 JMP  FACF

FC98 CALL C824
FC9B CALL C806
FC9E RC
FC9F MOV  E,A
FCA0 CALL C806
FCA3 RC
FCA4 MOV  D,A
FCA5 RET

FCA6 LDA  D245
FCA9 ORA  A
FCAA JNZ  FD03
FCAD LXI  D,FF79
FCB0 CALL FA47
FCB3 CALL FEA5
FCB6 JZ   FD11
FCB9 CALL FC98
FCBC JC   FCFD
FCBF LHLD D27A
FCC2 DCX  H
FCC3 DCX  H
FCC4 XCHG
FCC5 CALL FA60
FCC8 XCHG
FCC9 CNC  FAFE
FCCC JNC  FD11
FCCF LHLD D27C
FCD2 PUSH H
FCD3 LXI  H,0000
FCD6 XTHL
FCD7 CALL C806
FCDA JC   FCFD
FCDD MOV  C,A
FCDE CALL FFD0
FCE1 INX  H
FCE2 XTHL
FCE3 ADD  L
FCE4 MOV  L,A
FCE5 MVI  A,00H
FCE7 ADC  H
FCE8 MOV  H,A
FCE9 DCX  D
FCEA MOV  A,E
FCEB ORA  D
FCEC JNZ  FCD6
FCEF XTHL
FCF0 CALL FACD
FCF3 POP  H
FCF4 CALL FC9B
FCF7 CALL FA60
FCFA JZ   FD11
FCFD LHLD D270
FD00 CALL FC92
FD03 LXI  H,FF9D
FD06 CALL C818
FD09 CALL C81B
FD0C CPI  1FH
FD0E JNZ  FD09
FD11 MVI  C,07H
FD13 CALL C809
FD16 JMP  F8B5

FD19 LXI  D,FF80
FD1C CALL FA41
FD1F JZ   FD03
FD22 MVI  C,8CH
FD24 LHLD D270
FD27 LXI  D,000F
FD2A DAD  D
FD2B CALL FFCB
FD2E LHLD D278
FD31 XCHG
FD32 DCX  D
FD33 DCX  D
FD34 LHLD D270
FD37 PUSH H
FD38 LXI  H,0000
FD3B XTHL
FD3C CALL FFBD
FD3F INX  H
FD40 XTHL
FD41 MOV  A,C
FD42 ADD  L
FD43 MOV  L,A
FD44 MVI  A,00H
FD46 ADC  H
FD47 MOV  H,A
FD48 DCX  D
FD49 MOV  A,E
FD4A ORA  D
FD4B JNZ  FD3B
FD4E SHLD D241
FD51 POP  H
FD52 CALL FEA5
FD55 JZ   FDA6
FD58 LHLD D270
FD5B CALL C827
FD5E XCHG
FD5F LHLD D278
FD62 XCHG
FD63 DCX  D
FD64 DCX  D
FD65 MOV  C,E
FD66 CALL C80C
FD69 MOV  C,D
FD6A CALL C80C
FD6D CALL FFBD
FD70 INX  H
FD71 CALL C80C
FD74 DCX  D
FD75 MOV  A,E
FD76 ORA  D
FD77 JNZ  FD6D
FD7A LHLD D241
FD7D MOV  C,L
FD7E CALL C80C
FD81 MOV  C,H
FD82 CALL C80C
FD85 JMP  FD11

FD88 LXI  D,FF90
FD8B CALL FA41
FD8E JZ   FDD0
FD91 MVI  C,8BH
FD93 CALL C809
FD96 CALL FDB2
FD99 MVI  C,8CH
FD9B CALL C809
FD9E JZ   FD11
FDA1 MVI  A,8BH
FDA3 STA  D261
FDA6 LXI  H,D252
FDA9 LXI  D,D26F
FDAC CALL FAE3
FDAF JMP  FD11

FDB2 CALL FB21
FDB5 LXI  H,D255
FDB8 LXI  D,0CFF
FDBB CALL C836
FDBE RZ
FDBF JNC  FDB2
FDC2 RET

FDC3 PUSH D
FDC4 PUSH B
FDC5 LXI  D,D1FE
FDC8 MVI  B,02H
FDCA CALL FDF3
FDCD POP  B
FDCE POP  D
FDCF RET

FDD0 LXI  H,0006
FDD3 JMP  FDE0

FDD6 LDA  D237
FDD9 ORA  A
FDDA JNZ  FD03
FDDD LXI  H,0003
FDE0 PUSH H
FDE1 CALL FDEB
FDE4 LXI  H,E800
FDE7 STA  FFFE
FDEA RET

FDEB LXI  H,D252
FDEE LXI  D,D1F2
FDF1 MVI  B,0BH
FDF3 MOV  A,M
FDF4 STAX D
FDF5 INX  H
FDF6 INX  D
FDF7 DCR  B
FDF8 JP   FDF3
FDFB RET

FDFC LXI  D,FF87
FDFF CALL FA41
FE02 JZ   FCA6
FE05 CALL FEA5
FE08 JZ   FD11
FE0B CALL FC98
FE0E JC   FD03
FE11 LHLD D270
FE14 CALL C806
FE17 JC   FD03
FE1A PUSH PSW
FE1B CALL FFBD
FE1E POP  PSW
FE1F CMP  C
FE20 JNZ  FD03
FE23 INX  H
FE24 DCX  D
FE25 MOV  A,E
FE26 ORA  D
FE27 JNZ  FE14
FE2A JMP  FD11

FE2D CALL FA59
FE30 JZ   FE87
FE33 LHLD D278
FE36 INX  H
FE37 XCHG
FE38 LHLD D270
FE3B MVI  A,1FH
FE3D CALL C80F
FE40 PUSH H
FE41 LXI  H,FFB9
FE44 CALL C818
FE47 POP  H
FE48 MVI  B,3AH
FE4A CALL FFBD
FE4D INX  H
FE4E DCX  D
FE4F MOV  A,E
FE50 ORA  D
FE51 JZ   FE81
FE54 MOV  A,C
FE55 CPI  20H
FE57 JC   FE4A
FE5A CPI  0C0H
FE5C JNC  FE64
FE5F CPI  87H
FE61 JNC  FE4A
FE64 CALL C809
FE67 DCR  B
FE68 JNZ  FE4A
FE6B CALL C812
FE6E JZ   FE40
FE71 CALL C803
FE74 CPI  1FH
FE76 JZ   F8A2
FE79 CPI  1AH
FE7B JNZ  FE71
FE7E JMP  FE40

FE81 CALL FB04
FE84 JMP  F8A2

FE87 LDA  D237
FE8A ORA  A
FE8B JNZ  FD03
FE8E LDA  D245
FE91 ORA  A
FE92 JNZ  F886
FE95 DCR  A
FE96 LXI  H,4000
FE99 SHLD D238
FE9C LXI  H,BFFF
FE9F LXI  D,4F41
FEA2 JMP  F894

FEA5 LXI  H,D21B
FEA8 LXI  D,0400
FEAB CALL C836
FEAE RZ
FEAF JNC  FEA5
FEB2 RP
FEB3 MOV  M,A
FEB4 RET

FEB5 LHLD D20C
FEB8 XCHG
FEB9 LHLD D20A
FEBC RET

FEBD DB   8BH,8DH,90H,' F1-COPY F2-DELETE'
FED2 DB   ' F3-MLOAD F4-MSAVE F5-EDIT'
FEEC DB   ' F6-'
FEF0 DB   'R'
FEF1 DB   'O'
FEF2 DB   'MD F7-DEBUG'
FEFD DB   8EH,8CH,1FH,1BH,59H,22H,27H
FF04 DB   11H,8DH,8BH,20H
FF08 DB   'R'
FF09 DB   'A'
FF0A DB   'MD_MX ',8CH,00H
FF12 DB   94H,8BH,' ',00H
FF16 DB   ' ',8CH,'?',08H,00H
FF1B DB   '  '
FF21 DB   '  . ',06H
FF29 DB   '  '
FF2F DB   '  ',06H
FF32 DB   '  , -',06H
FF43 DB   ' '
FF49 DB   06H,8EH,1AH,08H,11H,8DH,00H
FF50 DB   8CH,' ',06H,' ',00H
FF55 DB   ''
FF58 DB   'NONAME'
FF5E DB   '   '
FF61 DB   '',00H
FF6C DB   ' '
FF71 DB   '',00H
FF79 DB   '',00H
FF80 DB   '',00H
FF87 DB   '',00H
FF90 DB   '',00H
FF94 DB   ' -'
FF9D DB   '',00H
FFA4 DB   'EXE'
FFA7 DB   'COM'
FFAA DB   8BH,90H,' '
FFB6 DB   '?',8CH,00H
FFB9 DB   0AH,'  ',00H

FFBD LDA  D245
FFC0 ORA  A
FFC1 JNZ  FFD8
FFC4 STA  FFFD
FFC7 MOV  C,M
FFC8 JMP  FFDC

FFCB LDA  D245
FFCE ORA  A
FFCF RNZ
FFD0 STA  FFFD
FFD3 MOV  M,C
FFD4 STA  FFFC
FFD7 RET

FFD8 STA  FFFE
FFDB MOV  C,M
FFDC STA  FFFC
FFDF RET
;
;*** END *****
